#[cfg(not(any(feature = "base64-base64", feature = "base64-radix64")))]
compile_error!("You need to select one Base64 implementation");

#[cfg(all(feature = "base64-base64", feature = "base64-radix64"))]
compile_error!("You can only select one Base64 implementation");

#[cfg(feature = "base64-base64")]
#[path = "b64_base64.rs"]
pub(crate) mod impl_b64;

#[cfg(feature = "base64-radix64")]
#[path = "b64_radix64.rs"]
pub(crate) mod impl_b64;

pub(crate) mod b64_common;